package com.qmth.themis.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 超管统计表
 * </p>
 *
 * @author wangliang
 * @since 2023-10-27
 */
@ApiModel(value = "TEOrgSummary对象", description = "超管统计表")
public class TEOrgSummary implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "机构ID，全局为0")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    @ApiModelProperty(value = "在线人数")
    private Integer onlineCount;

    @ApiModelProperty(value = "考试人数")
    private Integer examCount;

    @ApiModelProperty(value = "完成考试次数")
    private Integer finishCount;

    @ApiModelProperty(value = "完成考试人数")
    private Integer finishStudentCount;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Integer getOnlineCount() {
        return onlineCount;
    }

    public void setOnlineCount(Integer onlineCount) {
        this.onlineCount = onlineCount;
    }

    public Integer getExamCount() {
        return examCount;
    }

    public void setExamCount(Integer examCount) {
        this.examCount = examCount;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public Integer getFinishStudentCount() {
        return finishStudentCount;
    }

    public void setFinishStudentCount(Integer finishStudentCount) {
        this.finishStudentCount = finishStudentCount;
    }
}
